Key things which have changed from v1 of this API which may break compatability with existing integrations.
UUIDs instead of IDs
In V1, most resources were retrieved using their ID (an integer). In V2, all resources, consistently, will be retrieved using their UUID.
For example, a record that might have been retrieved previously using a path such as:GET /campaigns/1068591would now look something like: GET /campaigns/7cac0c0f-fff8-42c2-bb80-a0338726a485.
In V1, UUIDs have always been returned in the JSON for objects which have them, however you've not been able to use UUIDs in a request to retrieve a record. Since our web applications exclusively use UUIDs for routing, we're bringing our API in line with this for consistency.
Multiple Station Querying
A key change in V2 is the ability to query data across multiple stations using a single API key.
In V1, API access was effectively scoped to a single station (instance). In V2, applications can be configured with access to multiple stations, allowing a single API key to return data across all assigned stations.
